# Uses of Interface
org.eclipse.emf.cdo.security.OrFilter

Packages that use OrFilter
Package
Description
org.eclipse.emf.cdo.security
The generated EMF API of the CDO security model.
org.eclipse.emf.cdo.security.impl
The generated EMF implementation of the CDO security model.
org.eclipse.emf.cdo.security.util
The generated EMF utilities of the CDO security model.

## Uses of OrFilter in org.eclipse.emf.cdo.security

Methods in org.eclipse.emf.cdo.security that return OrFilter
Modifier and Type
Method
Description
`OrFilter`
SecurityFactory.`createOrFilter()`
Returns a new object of class 'Or Filter'.
`OrFilter`
SecurityFactory.`createOrFilter(PermissionFilter... operands)`
Returns a new object of class 'Or Filter'.

## Uses of OrFilter in org.eclipse.emf.cdo.security.impl

Classes in org.eclipse.emf.cdo.security.impl that implement OrFilter
Modifier and Type
Class
Description
`class`
`OrFilterImpl`
An implementation of the model object 'Or Filter'.
Methods in org.eclipse.emf.cdo.security.impl that return OrFilter
Modifier and Type
Method
Description
`OrFilter`
SecurityFactoryImpl.`createOrFilter()`
`OrFilter`
SecurityFactoryImpl.`createOrFilter(PermissionFilter... operands)`

## Uses of OrFilter in org.eclipse.emf.cdo.security.util

Methods in org.eclipse.emf.cdo.security.util with parameters of type OrFilter
Modifier and Type
Method
Description
`T`
SecuritySwitch.`caseOrFilter(OrFilter object)`
Returns the result of interpreting the object as an instance of 'Or Filter'.
`boolean`
SecurityValidator.`validateOrFilter(OrFilter orFilter, DiagnosticChain diagnostics, Map<Object,Object> context)`